# Uses of Class
org.apache.commons.math3.geometry.spherical.twod.Sphere2D

Packages that use Sphere2D
Package
Description
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Sphere2D in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod that return Sphere2D
Modifier and Type
Method
Description
`static Sphere2D`
Sphere2D.`getInstance()`
Get the unique instance.
Methods in org.apache.commons.math3.geometry.spherical.twod that return types with arguments of type Sphere2D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere2D,Sphere1D>`
SubCircle.`buildNew(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`EnclosingBall<Sphere2D,S2Point>`
SphericalPolygonsSet.`getEnclosingCap()`
Get a spherical cap enclosing the polygon.
`static Transform<Sphere2D,Sphere1D>`
Circle.`getTransform(Rotation rotation)`
Get a `Transform` embedding a 3D rotation.
`Point<Sphere2D>`
Circle.`project(Point<Sphere2D> point)`
Project a point to the hyperplane.
`SubHyperplane.SplitSubHyperplane<Sphere2D>`
SubCircle.`split(Hyperplane<Sphere2D> hyperplane)`
Split the instance in two parts by an hyperplane.
Method parameters in org.apache.commons.math3.geometry.spherical.twod with type arguments of type Sphere2D
Modifier and Type
Method
Description
`SphericalPolygonsSet`
SphericalPolygonsSet.`buildNew(BSPTree<Sphere2D> tree)`
Build a region using the instance as a prototype.
`protected AbstractSubHyperplane<Sphere2D,Sphere1D>`
SubCircle.`buildNew(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`double`
S2Point.`distance(Point<Sphere2D> point)`
Compute the distance between the instance and another point.
`double`
Circle.`getOffset(Point<Sphere2D> point)`
Get the offset (oriented distance) of a point.
`Point<Sphere2D>`
Circle.`project(Point<Sphere2D> point)`
Project a point to the hyperplane.
`boolean`
Circle.`sameOrientationAs(Hyperplane<Sphere2D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Sphere2D>`
SubCircle.`split(Hyperplane<Sphere2D> hyperplane)`
Split the instance in two parts by an hyperplane.
`S1Point`
Circle.`toSubSpace(Point<Sphere2D> point)`
Transform a space point into a sub-space point.
Constructor parameters in org.apache.commons.math3.geometry.spherical.twod with type arguments of type Sphere2D
Modifier
Constructor
Description
``
`SphericalPolygonsSet(Collection<SubHyperplane<Sphere2D>> boundary, double tolerance)`
Build a polygons set from a Boundary REPresentation (B-rep).
``
`SphericalPolygonsSet(BSPTree<Sphere2D> tree, double tolerance)`
Build a polygons set from a BSP tree.
``
`SubCircle(Hyperplane<Sphere2D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.